DWARF_ADD_DIE_TO_DEBUG(3)

NAME
dwarf_add_die_to_debug - set the root debugging information entry

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
Dwarf_Unsigned
dwarf_add_die_to_debug(Dwarf_P_Debug dbg, Dwarf_P_Die first_die, Dwarf_Error *err);

DESCRIPTION
Function dwarf_add_die_to_debug() sets the root debugging information entry of a DWARF producer instance. All debugging information entries linked to the root entry will also be added to the producer instance.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument first_die should hold the debugging information entry which will become the root DIE.

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
On success, function dwarf_add_die_to_debug() returns DW_DLV_OK. In case of an error, function dwarf_add_die_to_debug() returns DW_DLV_NOCOUNT and sets the argument err.

ERRORS
Function dwarf_add_die_to_debug() can fail with:

[DW_DLE_ARGUMENT]
    Either of the arguments dbg or first_die was NULL.

SEE ALSO
dwarf(3), dwarf_die_link(3), dwarf_new_die(3), dwarf_producer_init(3), dwarf_producer_init_b(3)